Api reference2025 04 01Monitors
Viewing API version 2025-04-01. View the latest version.
List all monitors
List all monitors for the authenticated organization.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Header Parameters
Kausate-Version?string
Default
"2025-04-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/monitors" \ -H "Kausate-Version: 2025-04-01"{
"monitors": [
{
"monitorId": "550e8400-e29b-41d4-a716-446655440000",
"kausateId": "co_de_4JFFrsbQ99t1nmRw2JgzmG",
"companyName": "ACME GmbH",
"scheduleCron": "0 9 * * *",
"checkCount": 5,
"lastCheckedAt": "2025-12-04T09:00:00Z",
"isActive": true,
"createdAt": "2025-12-01T10:00:00Z",
"apiUrl": "/v2/monitors/550e8400-e29b-41d4-a716-446655440000"
}
],
"total": 1
}{
"detail": "Invalid cron expression"
}{
"detail": "Invalid API key"
}{
"detail": "Not authorized to access this monitor"
}{
"detail": "Monitor not found"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Last updated on